Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class FileBufferedWriter

    java.lang.Object
      java.io.Writer
          net.sf.jasperreports.engine.util.FileBufferedWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class FileBufferedWriter

extends java.io.Writer

Version:
  $Id: FileBufferedZipEntry.java 2899 2009-07-21 10:02:32Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`FileBufferedWriter()`

Method Summary
`void` | `close()`
`void` | `dispose()`
`void` | `flush()`
`boolean` | `isEmpty()`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `writeData(java.io.Writer writer)`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBufferedWriter

    public FileBufferedWriter()

Method Detail

### isEmpty

    public boolean isEmpty()

### writeData

    public void writeData(java.io.Writer writer)

### dispose

    public void dispose()

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com